#!/bin/bash

# After running of ./upstream-collect.sh, this script will update FTP.

set -o errexit

OSC_PACKAGE_DIR=/home/sbrabec/OSC/home:sbrabec:branches:Base:System/translation-update-upstream
FTP_MIRROR_DIR=/home/sbrabec/local/ftp.suse.com/pub/people/sbrabec/translation-update-upstream
BRANCH=openSUSE_Factory

cd "$OSC_PACKAGE_DIR"

RPM_NAME=$(sed -n 's/^Name: *//p' <translation-update-upstream.spec)
RPM_VERSION=$(sed -n 's/^Version: *//p' <translation-update-upstream.spec)

rm -rf "$FTP_MIRROR_DIR/$BRANCH"
mkdir -p "$FTP_MIRROR_DIR/$BRANCH/generated-outputs"

echo "Copying sources..."
for SOURCE in $(sed -n "s/%{name}/$RPM_NAME/g;s/%{version}/$RPM_VERSION/g;s/^\\(Source\\|Patch\\)[0-9]*: *//p" <translation-update-upstream.spec) ; do
	cp -a $SOURCE "$FTP_MIRROR_DIR/$BRANCH/"
done
echo "Rest of sources..."
cp -a translation-update-upstream.{spec,changes} "$FTP_MIRROR_DIR/$BRANCH/"

for DIR in po* gnome-patch-translation ; do
	echo "Creating $DIR.tar.bz2..."
	tar -jcf "$FTP_MIRROR_DIR/$BRANCH/generated-outputs/$DIR.tar.bz2" $DIR
	touch -r $DIR "$FTP_MIRROR_DIR/$BRANCH/generated-outputs/$DIR.tar.bz2"
done
echo "Rest of generated files..."
cp -a translation-update-from-* gnome-patch-translation.lst upstream-collect.{domain-map,log} "$FTP_MIRROR_DIR/$BRANCH/generated-outputs/"

touch -r . "$FTP_MIRROR_DIR/$BRANCH" "$FTP_MIRROR_DIR/$BRANCH/generated-outputs"

echo "Done!"
